Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.webserver
Class XmlRpcServlet

    java.lang.Object
      HttpServlet
          org.apache.xmlrpc.webserver.XmlRpcServlet

    public class XmlRpcServlet

extends HttpServlet

A default servlet implementation The typical use would be to derive a subclass, which is overwriting at least the method `newXmlRpcHandlerMapping()`.

The servlet accepts the following init parameters:

Name | Description
--- | ---
enabledForExtensions | Sets the value `XmlRpcConfig.isEnabledForExtensions()` to true.

Constructor Summary
`XmlRpcServlet()`

Method Summary
`void` | `doPost(HttpServletRequest pRequest, HttpServletResponse pResponse)` Creates a new instance of `RequestData` for the request.
`AbstractReflectiveHandlerMapping.AuthenticationHandler` | `getAuthenticationHandler()` Returns the servlets `AbstractReflectiveHandlerMapping.AuthenticationHandler`.
`RequestProcessorFactoryFactory` | `getRequestProcessorFactoryFactory()` Returns the servlets `RequestProcessorFactoryFactory`.
`TypeConverterFactory` | `getTypeConverterFactory()` Returns the servlets `TypeConverterFactory`.
`XmlRpcServletServer` | `getXmlRpcServletServer()` Returns the servlets instance of `XmlRpcServletServer`.
`void` | `init(ServletConfig pConfig)`
`void` | `log(java.lang.String pMessage)`
`void` | `log(java.lang.String pMessage, java.lang.Throwable pThrowable)`
`protected PropertyHandlerMapping` | `newPropertyHandlerMapping(java.net.URL url)` Creates a new instance of `PropertyHandlerMapping` by loading the property file from the given URL.
`protected XmlRpcHandlerMapping` | `newXmlRpcHandlerMapping()` Creates a new handler mapping.
`protected XmlRpcServletServer` | `newXmlRpcServer(ServletConfig pConfig)` Creates a new instance of `XmlRpcServer`, which is being used to process the requests.
`void` | `setAuthenticationHandler(AbstractReflectiveHandlerMapping.AuthenticationHandler pHandler)` Sets the servlets `AbstractReflectiveHandlerMapping.AuthenticationHandler`.
`void` | `setRequestProcessorFactoryFactory(RequestProcessorFactoryFactory pFactory)` Sets the servlets `RequestProcessorFactoryFactory`.
`void` | `setTypeConverterFactory(TypeConverterFactory pFactory)` Sets the servlets `TypeConverterFactory`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcServlet

    public XmlRpcServlet()

Method Detail

### getXmlRpcServletServer

    public XmlRpcServletServer getXmlRpcServletServer()

  Returns the servlets instance of `XmlRpcServletServer`.

  Returns:
    The configurable instance of `XmlRpcServletServer`.

### init

    public void init(ServletConfig pConfig)
              throws ServletException

  Throws:
    `ServletException`

### setAuthenticationHandler

    public void setAuthenticationHandler(AbstractReflectiveHandlerMapping.AuthenticationHandler pHandler)

  Sets the servlets `AbstractReflectiveHandlerMapping.AuthenticationHandler`.

### getAuthenticationHandler

    public AbstractReflectiveHandlerMapping.AuthenticationHandler getAuthenticationHandler()

  Returns the servlets `AbstractReflectiveHandlerMapping.AuthenticationHandler`.

### setRequestProcessorFactoryFactory

    public void setRequestProcessorFactoryFactory(RequestProcessorFactoryFactory pFactory)

  Sets the servlets `RequestProcessorFactoryFactory`.

### getRequestProcessorFactoryFactory

    public RequestProcessorFactoryFactory getRequestProcessorFactoryFactory()

  Returns the servlets `RequestProcessorFactoryFactory`.

### setTypeConverterFactory

    public void setTypeConverterFactory(TypeConverterFactory pFactory)

  Sets the servlets `TypeConverterFactory`.

### getTypeConverterFactory

    public TypeConverterFactory getTypeConverterFactory()

  Returns the servlets `TypeConverterFactory`.

### newXmlRpcServer

    protected XmlRpcServletServer newXmlRpcServer(ServletConfig pConfig)
                                           throws XmlRpcException

  Creates a new instance of `XmlRpcServer`, which is being used to process the requests. The default implementation will simply invoke `new `XmlRpcServer`.

  `
  Parameters:
    `pConfig` - The servlets configuration.
  Throws:
    `XmlRpcException`

### newXmlRpcHandlerMapping

    protected XmlRpcHandlerMapping newXmlRpcHandlerMapping()
                                                    throws XmlRpcException

  Creates a new handler mapping. The default implementation loads a property file from the resource `org/apache/xmlrpc/webserver/XmlRpcServlet.properties`

  Throws:
    `XmlRpcException`

### newPropertyHandlerMapping

    protected PropertyHandlerMapping newPropertyHandlerMapping(java.net.URL url)
                                                        throws java.io.IOException,
                                                               XmlRpcException

  Creates a new instance of `PropertyHandlerMapping` by loading the property file from the given URL. Called from `newXmlRpcHandlerMapping()`.

  Throws:
    `java.io.IOException`
    `XmlRpcException`

### doPost

    public void doPost(HttpServletRequest pRequest,
                       HttpServletResponse pResponse)
                throws java.io.IOException,
                       ServletException

  Creates a new instance of `RequestData` for the request.

  Throws:
    `java.io.IOException`
    `ServletException`

### log

    public void log(java.lang.String pMessage,
                    java.lang.Throwable pThrowable)

### log

    public void log(java.lang.String pMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.